diff --git a/pki/base/util/src/com/netscape/cmsutil/util/Utils.java b/pki/base/util/src/com/netscape/cmsutil/util/Utils.java
index 9d0fb05ac2baa7fc1cd7dca3f57ebec013d90d3b..4ce0c0c440e167f0773b3d0868969bfdf2a5e777 100644
--- a/pki/base/util/src/com/netscape/cmsutil/util/Utils.java
+++ b/pki/base/util/src/com/netscape/cmsutil/util/Utils.java
@@ -18,10 +18,22 @@
 package com.netscape.cmsutil.util;
 
 
-import java.net.*;
-import java.io.*;
-import java.util.*;
-import java.text.*;
+import java.io.BufferedReader;
+import java.io.BufferedWriter;
+import java.io.ByteArrayOutputStream;
+import java.io.File;
+import java.io.FileReader;
+import java.io.FileWriter;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+import java.io.OutputStreamWriter;
+import java.io.PrintWriter;
+import java.net.InetAddress;
+import java.net.UnknownHostException;
+import java.text.SimpleDateFormat;
+import java.util.Date;
+import java.util.Vector;
 
 public class Utils {
 	/**
@@ -34,7 +46,7 @@ public class Utils {
 	public static boolean exec(String cmd) {
 		try {
 			String cmds[] = null;
-			if (isNT()) {
+			if (Utils.isNT()) {
 				// NT
 				cmds = new String[3];
 				cmds[0] = "cmd";
@@ -49,9 +61,6 @@ public class Utils {
 			}
 			Process process = Runtime.getRuntime().exec(cmds);
 			process.waitFor();
-			BufferedReader pOut = null;
-			String l = null;
-
 			if (process.exitValue() == 0) {
 				/**
 				pOut = new BufferedReader(
@@ -83,7 +92,7 @@ public class Utils {
         ByteArrayOutputStream out = new ByteArrayOutputStream(s.length());
         
         for (int i = 0; i < s.length(); i++) {
-            int c = (int) s.charAt(i);
+            int c = s.charAt(i);
 
             if (c == '+') {
                 out.write(' ');
@@ -105,7 +114,7 @@ public class Utils {
         ByteArrayOutputStream out = new ByteArrayOutputStream(s.length());
         
         for (int i = 0; i < s.length(); i++) {
-            int c = (int) s.charAt(i);
+            int c = s.charAt(i);
 
             if (c == '+') {
                 out.write(' ');
@@ -134,7 +143,7 @@ public class Utils {
      }
 
     public static void checkHost(String hostname) throws UnknownHostException {
-        InetAddress addr = InetAddress.getByName(hostname);
+        InetAddress.getByName(hostname);
     }
 
     public static void copy(String orig, String dest) {
diff --git a/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java b/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java
index e140c309883100da3073da4410bc4b99630df259..e7fd04e265eaf5d8c919ab6e76c6fc9742775137 100644
--- a/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java
+++ b/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java
@@ -16,16 +16,32 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.xml;
-import org.w3c.dom.*;
-import org.xml.sax.*;
-import org.apache.xerces.parsers.DOMParser;
-import org.apache.xerces.dom.*;
-import javax.xml.parsers.*;
-import javax.xml.transform.*;
+import java.io.ByteArrayOutputStream;
+import java.io.File;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+import java.io.StringWriter;
+import java.util.Vector;
+
+import javax.xml.parsers.DocumentBuilder;
+import javax.xml.parsers.DocumentBuilderFactory;
+import javax.xml.parsers.ParserConfigurationException;
+import javax.xml.transform.Result;
+import javax.xml.transform.Source;
+import javax.xml.transform.Transformer;
+import javax.xml.transform.TransformerConfigurationException;
+import javax.xml.transform.TransformerException;
+import javax.xml.transform.TransformerFactory;
 import javax.xml.transform.dom.DOMSource;
 import javax.xml.transform.stream.StreamResult;
-import java.io.*;
-import java.util.*;
+
+import org.w3c.dom.Document;
+import org.w3c.dom.Element;
+import org.w3c.dom.Node;
+import org.w3c.dom.NodeList;
+import org.w3c.dom.Text;
+import org.xml.sax.SAXException;
 
 public class XMLObject
 {
@@ -61,7 +77,7 @@ public class XMLObject
     public Node createRoot(String name) {
         Element root = mDoc.createElement(name);
         mDoc.appendChild(root);
-        return (Node)root;
+        return root;
     }
 
     public Node getRoot() {
@@ -82,7 +98,7 @@ public class XMLObject
     public Node createContainer(Node containerParent, String containerName) {
         Element node = mDoc.createElement(containerName);
         containerParent.appendChild(node);
-        return (Node)node;
+        return node;
     }
 
     public void addItemToContainer(Node container, String tagname, String value) {
-- 
1.7.6.4

